Chuyển đến nội dung
Diễn đàn CADViet
gp14

Tính năng hay của Block

Các bài được khuyến nghị

các anh cho hỏi mình làm theo hướng dẫn nhưng tại sao khi click vào thi chỉ có hình tam giác chạy đi nà block không đi theo nhi.

Mình cũng đang bị trường hợp như vậy, có cao thủ nào chỉ giúp mình với, cám ơn rất nhiều ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có bác nào biết về Dynamic block trong ZW cad không giúp mình với

Mình bình thwowngf dùng hang cack cad 2010, nhwng giờ vào cty nó dùng ZW cad 2015 của Hồ Cẩm Đào thì phải

có cái là cái dynamic block nó không cho swar các đối twowngj trong đó và hàm (vlax-invoke blk 'getdynamicblockproperties)thì nó báo là không hiểu)

Ai biết giúp mình với. Làm sao để nó nhận đwowcj cái hàm này?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho e hỏi làm sao để tạo cái block động mà kéo dãn ở 2 đầu như cái block ở trong file e đính kèm.

Em thì vẫn dùng Stretch 1 đầu thì ok nhưng 2 đầu thì không làm được. Em lấy ví dụ đơn giản như sau:

     - Có Block trong đó có 1 đường line. Bây giờ e muốn tạo dạng block động dạng Stretch: khi kéo thì trung điểm của line giữ nguyên, còn 2 đầu dài ra

       như nhau.

Cảm ơn các bác đã quan tâm.

http://www.cadviet.com/upfiles/5/121521_block_dong_keo_dan.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Làm sao Stretch phương X mà phương Y Stretch theo: quan sát Properties (mở bảng Properties bằng Ctrl+1) của 2 nút Action Stretch có sẵn bạn sẽ thấy:

+ Nút Stretch đầu tiên (vùng chọn là hình chữ nhật bên phải cửa) có Distance Multiplier = 1Angle Offset = 0

+ Nút Stretch kế tiếp (vùng chọn là hình chữ nhật bên trên cánh cửa) có Distance Multiplier = 1Angle Offset = 90

Do đó, khi bạn Stretch chiều rộng cửa 1 đoạn L thì chiều dài cánh cánh cửa (vuông góc 90 độ với cửa) cũng Stretch theo 1 đoạn bằng L.

2.Block của bạn còn phải hiệu chỉnh khá nhiều vấn đề:

a. Các Parameter chưa được đặt tên, chú thích và Set Value (hiệu chỉnh thông số). Cần hiệu chỉnh như sau:

- Đặt tên (Distance name) là "RCUA". Rất có ích khi sau này trích xuất dữ liệu.

- Chú thích (Distance description) là "Chiều rộng cửa". Trực quan: khi để con trỏ vào vị trí điều khiển của block, dòng này sẽ hiện lên.

- Dist type chọn "increment", Dist increment = 50 , Dist minimum = 700, Dist maximum có thể có giá trị hoặc không. Khi bấm vào nút khiển để chỉnh độ rộng cửa, bạn sẽ thấy độ dài sẽ nhảy cóc từng đoạn = 50. Cửa nên khống chế độ rộng nhỏ nhất là 600 + 2 đố = 700 (đâu có cửa nào rộng 2-3 tấc).

b. Các Action cũng chưa đặt tên cho dễ hiệu chỉnh (Ví dụ đặt tên cho Action Stretch thứ hai là "StretchRCUA-90")

c. Trục đối xứng của cửa: khi đã insert và hiệu chỉnh độ rộng, bạn sẽ không muốn cái cửa của bạn nhảy qua nhảy lại quanh điểm chèn (insert point). Cần hiệu chỉnh như sau:

- Tạo Basepoint tại vị trí insert point của block

- Chọn vị trí trục đối xứng tại điểm giữa của chiều rộng cửa.

- Tại Parameter "RCUA" tạo thêm Action Move có giá trị Distance Multiplier = 0.5 và chọn đối tượng là trục đối xứng (Ý nghĩa: mỗi khi tăng giảm độ rộng cánh cửa 1 đơn vị thì trục đối xứng sẽ tăng giảm tương ứng 0.5 đơn vị)

- Thêm điểm Basepoint vào hiệu ứng đối xứng: Kích chuột phải vào nút biểu tượng đối xứng và chọn Action selection Set -> Modify selection set -> chọn Basepoint đã tạo.

Xem bản vẽ acadv2010: http://www.cadviet.com/upfiles/3/1833_rcua.dwg

1833_rcua.jpg

Bạn ơi, hướng dẫn mình cách làm cụ thể được không, cám ơn bạn nhiều nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho e hỏi làm sao để tạo cái block động mà kéo dãn ở 2 đầu như cái block ở trong file e đính kèm.

Em thì vẫn dùng Stretch 1 đầu thì ok nhưng 2 đầu thì không làm được. Em lấy ví dụ đơn giản như sau:

     - Có Block trong đó có 1 đường line. Bây giờ e muốn tạo dạng block động dạng Stretch: khi kéo thì trung điểm của line giữ nguyên, còn 2 đầu dài ra

       như nhau.

Cảm ơn các bác đã quan tâm.

http://www.cadviet.com/upfiles/5/121521_block_dong_keo_dan.dwg

 

Bạn Pick vào Parameter Distance -> Bấm Ctrol+1 -> Mục Misc -> Base location -> Chọn Midpoint

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có vấn đề rồi đây, khi tạo 1 block chưa thuộc tính để chuyển đổi qua lại như kiểu trên nhưng sau đó không edit dc bằng lệnh ate hay ed. Bây giờ nếu miro là text thuộc tính lại bị ngược. Trong block có text mang giá trị +3.450 là text thuộc tính Anh em nào ra tay tương trợ giùm cái.

 

File đê............................... file cad

 

Có vấn đề rồi đây, khi tạo 1 block chưa thuộc tính để chuyển đổi qua lại như kiểu trên nhưng sau đó không edit dc bằng lệnh ate hay ed. Bây giờ nếu miro là text thuộc tính lại bị ngược. Trong block có text mang giá trị +3.450 là text thuộc tính Anh em nào ra tay tương trợ giùm cái.

 

File đê............................... file cad

mình mới tham gia diễn đàn nên không biết tải như thế nào mong mọi người chỉ mình tải các file mà các bạn đưa lên

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em đang gặp vấn đề với cái block. Em copy ở ngoài, vào edit block, không paste được. Có khi copy được, thì không align được. Không hiểu là bị cái gì. Đối tượng em copy ở ngoài không phải là block, chỉ là những nét line bình thường, em explode hết để đảm bảo không bị trùng tên, paste vào block thì nó ra chữ C hoặc không ra gì. :angry2:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×